// Software developed by BenQ Mobile GmbH & Co. OHG for support of simulation framework within 3GPP SA4
//
// Waqar Zia (waqar.zia@benq.com) 26 May, 2006
//

#ifndef _ISOFILE_INCLUDE_DATA_TYPES_HPP_
#define _ISOFILE_INCLUDE_DATA_TYPES_HPP_

#include "Namespace.hpp"

DECLARE_NAMESPACE(ISOFile_Include_DataTypes_hpp);

#ifdef WIN32
typedef unsigned char Byte;
typedef unsigned int UInt32;
typedef unsigned short UInt16;
#elif GCC
typedef unsigned char Byte;
typedef unsigned int UInt32;
typedef unsigned short UInt16;
#else
Add platform dependant data types !
#endif

END_NAMESPACE(ISOFile_Include_DataTypes_hpp);

#endif  //_ISOFILE_INCLUDE_DATA_TYPES_HPP_

