// Software developed by BenQ Mobile GmbH & Co. OHG for support of simulation framework within 3GPP SA4
//
// Waqar Zia (waqar.zia@benq.com) 27 May, 2006
//

#ifndef _ISOFILE_INCLUDE_ISO_FILE_DATA_TYPES_HPP_
#define _ISOFILE_INCLUDE_ISO_FILE_DATA_TYPES_HPP_

#include "Namespace.hpp"

DECLARE_NAMESPACE(ISOFile_Include_IsoFileDataTypes_hpp);

#ifdef WIN32
typedef char*           string;
typedef unsigned char   bit1;
typedef unsigned char   bit8;
typedef unsigned short  bit16;
typedef unsigned int    bit24;
typedef unsigned int    bit32;
typedef short           int16;
typedef int             int32;
typedef unsigned char   unsigned_int5;
typedef unsigned char   unsigned_int8;
typedef unsigned short  unsigned_int16;
typedef unsigned int    unsigned_int32;
#elif GCC
typedef char*           string;
typedef unsigned char   bit1;
typedef unsigned char   bit8;
typedef unsigned short  bit16;
typedef unsigned int    bit24;
typedef unsigned int    bit32;
typedef short           int16;
typedef int             int32;
typedef unsigned char   unsigned_int5;
typedef unsigned char   unsigned_int8;
typedef unsigned short  unsigned_int16;
typedef unsigned int    unsigned_int32;
#else
Add platform dependant data types !
#endif

END_NAMESPACE(ISOFile_Include_IsoFileDataTypes_hpp);

#endif  //_ISOFILE_INCLUDE_ISO_FILE_DATA_TYPES_HPP_


