// Software developed by BenQ Mobile GmbH & Co. OHG for support of simulation framework within 3GPP SA4
//
// Waqar Zia (waqar.zia@benq.com) 28 May, 2006
//

#include "IsoBoxTypes.hpp"

using namespace ISOFile_Include_IsoBoxTypes_hpp;

const char *IsoBoxTypes::type_FileTypeBox = "ftyp";
const char *IsoBoxTypes::type_MovieBox = "moov";
const char *IsoBoxTypes::type_MediaDataBox = "mdat";
const char *IsoBoxTypes::type_FreeSpaceBox = "free";
const char *IsoBoxTypes::type_MovieHeaderBox = "mvhd";
const char *IsoBoxTypes::type_TrackBox = "trak";
const char *IsoBoxTypes::type_TrackHeaderBox = "tkhd";
const char *IsoBoxTypes::type_MediaBox = "mdia";
const char *IsoBoxTypes::type_MediaHeaderBox = "mdhd";
const char *IsoBoxTypes::type_HandlerBox = "hdlr";
const char *IsoBoxTypes::type_MediaInformationBox="minf";
const char *IsoBoxTypes::type_VideoMediaHeaderBox="vmhd";
const char *IsoBoxTypes::type_DataInformationBox="dinf";
const char *IsoBoxTypes::type_DataEntryUrlBox="url ";
const char *IsoBoxTypes::type_DataEntryUrnBox="urn ";
const char *IsoBoxTypes::type_DataReferenceBox="dref";
const char *IsoBoxTypes::type_SampleTableBox="stbl";
const char *IsoBoxTypes::type_TimeToSampleBox="stts";
const char *IsoBoxTypes::type_CompositionOffsetBox="ctts";
const char *IsoBoxTypes::type_SampleDescriptionBox="stsd";
const char *IsoBoxTypes::type_SampleSizeBox="stsz";
const char *IsoBoxTypes::type_SampleToChunkBox="stsc";
const char *IsoBoxTypes::type_ChunkOffsetBox="stco";

